## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
# Remove aarch64 test for now until rust arm detection is stable
# https://gitlab.com/kornelski/cloudflare-zlib-sys/-/issues/2
%ifarch aarch64
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global crate cloudflare-zlib

Name:           rust-%{crate}
Version:        0.2.9
Release:        %autorelease
Summary:        Safe wrapper for Cloudflare's optimized zlib

# Upstream license specification: MIT AND Zlib OR Apache-2.0 AND Zlib
License:        MIT and zlib or ASL 2.0 and zlib
URL:            https://crates.io/crates/cloudflare-zlib
Source:         %{crates_source}

# Library only support aarch64 and x86_64
ExclusiveArch:  x86_64 aarch64
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Safe wrapper for Cloudflare's optimized zlib.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+arm-always-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arm-always-devel %{_description}

This package contains library source intended for building other packages
which use "arm-always" feature of "%{crate}" crate.

%files       -n %{name}+arm-always-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+arm-conditional-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arm-conditional-devel %{_description}

This package contains library source intended for building other packages
which use "arm-conditional" feature of "%{crate}" crate.

%files       -n %{name}+arm-conditional-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+asm-devel %{_description}

This package contains library source intended for building other packages
which use "asm" feature of "%{crate}" crate.

%files       -n %{name}+asm-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
sed -e '0,/^## License/d' README.md > LICENSE

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.2.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.2.9-2
- Reactivate aarch64 by disabling tests

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.2.9-1
- Initial package

